Results 1 to 6 of 6

Thread: Unable to provide dependencies for X2Go packages

  1. #1

    Default Unable to provide dependencies for X2Go packages

    The X2Go project repository for Leap 15.1 contains the x2goserver (4.0.1.20-lp151.4.1) and x2goclient packages. However, neither it nor the Leap 15.1 OSS or Update repositories contain the dependencies which these packages require, preventing me from installing X2Go on my Leap 15.1 systems. Even from the Leap 15.0, I could only install the X2Go server, as the repositories didn't provide all dependencies for the client.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,548
    Blog Entries
    15

    Default Re: Unable to provide dependencies for X2Go packages

    Quote Originally Posted by palswim View Post
    The X2Go project repository for Leap 15.1 contains the x2goserver (4.0.1.20-lp151.4.1) and x2goclient packages. However, neither it nor the Leap 15.1 OSS or Update repositories contain the dependencies which these packages require, preventing me from installing X2Go on my Leap 15.1 systems. Even from the Leap 15.0, I could only install the X2Go server, as the repositories didn't provide all dependencies for the client.
    Hi
    Are any of the following the dependencies you missing?

    https://build.opensuse.org/project/m...2go&defaults=0

    Else can you post the output from the zypper install command which shows what packages are missing?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,548
    Blog Entries
    15

    Default Re: Unable to provide dependencies for X2Go packages

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Are any of the following the dependencies you missing?

    https://build.opensuse.org/project/m...2go&defaults=0

    Else can you post the output from the zypper install command which shows what packages are missing?
    Hi again
    I'm guessing it's nxproxy, which isn't building;
    https://build.opensuse.org/package/s...3Ax2go/nx-libs
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: Unable to provide dependencies for X2Go packages

    Quote Originally Posted by malcolmlewis View Post
    Hi again
    I'm guessing it's nxproxy, which isn't building;
    https://build.opensuse.org/package/s...3Ax2go/nx-libs
    For x2goclient, yes, it is failing on the nxproxy dependency. For x2goserver, it is failing on the x2goagent dependency.

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,548
    Blog Entries
    15

    Default Re: Unable to provide dependencies for X2Go packages

    Quote Originally Posted by palswim View Post
    For x2goclient, yes, it is failing on the nxproxy dependency. For x2goserver, it is failing on the x2goagent dependency.
    Hi
    There is a linked package that a user has fixed (not sure why they don't submit);
    https://build.opensuse.org/package/s...ermolc/nx-libs

    Else raise a bug report about it?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #6

    Default Re: Unable to provide dependencies for X2Go packages

    Quote Originally Posted by malcolmlewis View Post
    Hi
    There is a linked package that a user has fixed (not sure why they don't submit);
    https://build.opensuse.org/package/s...ermolc/nx-libs

    Else raise a bug report about it?
    Ah, looks like someone else has already reported something similar.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •